import { createAlovaMockAdapter, type MockWrapper } from '@alova/mock';
import adapterFetch                                 from 'alova/fetch';


export default function adapterMock(enable = true) {
  const wrapper: MockWrapper[] = [];

  return createAlovaMockAdapter(wrapper, {
    enable,
    httpAdapter: adapterFetch(),
    delay: 1000,
    mockRequestLogger: true,
  });
}
